from django.contrib import admin
from django.urls import path
from django.urls import path, include
import medic.views as medic
import baseapp.views as baseview
import help.views as help
urlpatterns = [


    #manage urls

    # path('medicine/unit/form/',medic.formview_med_unit,name='medicine_unit_form'),    
    # path('medicine/unit/form/<int:id>',medic.formview_med_unit,name='medicine_unit_form'),
    # path('medicine/unit/',medic.view_med_unit,name='medicine_unit'),
    # path('medicine/unit/<str:viewtype>',medic.view_med_unit,name='medicine_unit'),

    path('inhouse/form/',medic.formview_medic_inhouse,name='inhouse_form'),    
    path('inhouse/form/<int:id>',medic.formview_medic_inhouse,name='inhouse_form'),
    path('inhouse/',medic.view_medic_inhouse,name='inhouse'),
    path('inhouse/<str:viewtype>',medic.view_medic_inhouse,name='inhouse'),

    path('inventory/entry/form/',medic.formview_inventory_entry_manage,name='inventory_entry_form'),    
    path('inventory/entry/form/<int:id>',medic.formview_inventory_entry_manage,name='inventory_entry_form'),
    path('inventory/entry/',medic.view_inventory_entry_manage,name='inventory_entry'),
    path('inventory/entry/<str:viewtype>',medic.view_inventory_entry_manage,name='inventory_entry'),

     
    path('task/form/',baseview.formview_task,name='task_form'),
    path('task/form/<int:id>',baseview.formview_task,name='task_form'),
    path('task/',baseview.view_task,name='task'),
    path('task/<str:viewtype>',baseview.view_task,name='task'),
            
    path('treatment/form/',baseview.formview_treatment,name='treatment_form'),
    path('treatment/form/<int:id>',baseview.formview_treatment,name='treatment_form'),
    path('treatment/',baseview.view_treatment,name='treatment'),
    path('treatment/<str:viewtype>',baseview.view_treatment,name='treatment'),

    path('disease/form/',baseview.formview_disease,name='disease_form'),
    path('disease/form/<int:id>',baseview.formview_disease,name='disease_form'),
    path('disease/',baseview.view_disease,name='disease'),
    path('disease/<str:viewtype>',baseview.view_disease,name='disease'),

    path('GST/form/',baseview.formview_Master_GST,name='GST_form'),
    path('GST/form/<int:id>',baseview.formview_Master_GST,name='GST_form'),
    path('GST/',baseview.view_Master_GST,name='GST'),
    path('GST/<str:viewtype>',baseview.view_Master_GST,name='GST'),
    
    path('notification/form/',help.formview_notification,name='notification_form'),    
    path('notification/form/<int:id>',help.formview_notification,name='notification_form'),
    path('notification/',help.view_notification,name='notification'),
    path('notification/<str:viewtype>',help.view_notification,name='notification'),



]

handler500 = 'baseapp.views.error_500_view'